Index: scripts/patch/bash-patch.sh
===================================================================
--- scripts/patch/bash-patch.sh	(revision 06dcdf6d5e022b3c631d8490685e2c3be926fc1d)
+++ scripts/patch/bash-patch.sh	(revision 06dcdf6d5e022b3c631d8490685e2c3be926fc1d)
@@ -0,0 +1,107 @@
+#!/bin/bash
+# Create a Bash Patch
+
+# Get Version #
+#
+VERSION=$1
+
+# Check Input
+#
+if [ "${VERSION}" = "" ]; then
+	echo "$0 - Bash_Version"
+	echo "This will Create a Patch for Bash Bash_Version"
+fi
+
+# Get the # of Patches
+#
+cd /usr/src
+wget ftp://ftp.cwru.edu/pub/bash/bash-${VERSION}-patches/ --no-remove-listing
+VERSION2=$(echo ${VERSION} | sed -e 's/\.//g')
+FILES=$(cat index.html | grep "${VERSION2}" | cut -f2 -d'"' | cut -f4 -d. | cut -f3 -d- | tail -n 1)
+rm -f .listing
+rm -f index.html
+SKIPPATCH=""
+SKIPPED=""
+
+# Download BASH Source
+#
+if ! [ -e bash-${VERSION}.tar.gz ]; then
+	wget ftp://ftp.cwru.edu/pub/bash/bash-${VERSION}.tar.gz
+fi
+
+# Cleanup Directory
+#
+rm -rf bash-${VERSION} bash-${VERSION}.orig
+tar xvf bash-${VERSION}.tar.gz
+cp -ar bash-${VERSION} bash-${VERSION}.orig
+cd bash-${VERSION}
+CURRENTDIR=$(pwd -P)
+
+# Download and Apply Patches
+#
+PATCHURL=ftp://ftp.cwru.edu/pub/bash/bash-${VERSION}-patches
+mkdir /tmp/bash-${VERSION}
+COUNT=1
+while [ ${COUNT} -le ${FILES} ]; do
+	cd /tmp/bash-${VERSION}           
+	DLCOUNT="${COUNT}"
+	SKIPME=no
+	if [ "${COUNT}" -lt "100" ]; then
+		DLCOUNT="0${COUNT}"
+	fi
+	if [ "${COUNT}" -lt "10" ]; then
+		DLCOUNT="00${COUNT}"
+	fi
+	for skip in ${SKIPPATCH} ; do
+		if [ "${DLCOUNT}" = "$skip" ]; then
+			echo "Patch bash${VERSION2}-${DLCOUNT} skipped"
+			SKIPPED="${SKIPPED} ${DLCOUNT}"
+			SKIPME=yes
+		fi
+	done
+	if [ "${SKIPME}" != "yes" ]; then
+		if ! [ -e ${VERSION}.${DLCOUNT} ]; then
+			wget --quiet ${PATCHURL}/bash${VERSION2}-${DLCOUNT}
+		fi
+		cd ${CURRENTDIR}
+		patch --dry-run -s -f -Np0 -i /tmp/bash-${VERSION}/bash${VERSION2}-${DLCOUNT}
+		if [ "$?" = "0" ]; then
+			echo "Patch bash${VERSION2}-${DLCOUNT} applied"
+			patch -s -Np0 -i /tmp/bash-${VERSION}/bash${VERSION2}-${DLCOUNT}
+		else
+			echo "Patch bash${VERSION2}-${DLCOUNT} not applied"
+			rm -f /tmp/bash-${VERSION}/bash${VERSION2}-${DLCOUNT}
+			SKIPPED="${SKIPPED} ${DLCOUNT}"
+		fi
+	fi
+	COUNT=`expr ${COUNT} + 1`
+done
+
+# Cleanup Directory
+#
+cd /usr/src
+cd bash-${VERSION}
+for file in $(find * -name *~); do
+	rm -f ${file}
+done
+for file in $(find * -name *.orig); do
+	rm -f ${file}
+done
+
+# Create Patch
+#
+cd /usr/src
+echo "Submitted By: Jim Gifford (jim at linuxfromscratch dot org)" > bash-${VERSION}-fixes-x.patch
+echo "Date: `date +%m-%d-%Y`" >> bash-${VERSION}-fixes-x.patch
+echo "Initial Package Version: ${VERSION}" >> bash-${VERSION}-fixes-x.patch
+echo "Origin: Upstream" >> bash-${VERSION}-fixes-x.patch
+echo "Upstream Status: Applied" >> bash-${VERSION}-fixes-x.patch
+echo "Description: Contains all upstream patches up to ${VERSION}-${FILES}" >> bash-${VERSION}-fixes-x.patch
+if [ -n "${SKIPPED}" ]; then
+	echo "             The following patches were skipped" >> bash-${VERSION}-fixes-x.patch
+	echo "            ${SKIPPED}" >> bash-${VERSION}-fixes-x.patch
+fi
+echo "" >> bash-${VERSION}-fixes-x.patch
+diff -Naur bash-${VERSION}.orig bash-${VERSION} >> bash-${VERSION}-fixes-x.patch
+echo "Created /usr/src/bash-${VERSION}-fixes-x.patch."
+
Index: scripts/patch/binutils-patch.sh
===================================================================
--- scripts/patch/binutils-patch.sh	(revision 06dcdf6d5e022b3c631d8490685e2c3be926fc1d)
+++ scripts/patch/binutils-patch.sh	(revision 06dcdf6d5e022b3c631d8490685e2c3be926fc1d)
@@ -0,0 +1,78 @@
+#!/bin/bash
+# Create a Binutils Patch
+
+# Get Version #
+#
+VERSION=$1
+
+# Check Input
+#
+if [ "${VERSION}" = "" ]; then
+	echo "$0 - Binutils_Version"
+	echo "This will Create a Patch for Binutls Binutils_Version"
+fi
+
+# Download Binutils Source
+#
+cd /usr/src
+if ! [ -e binutils-${VERSION}.tar.bz2  ]; then
+	wget ftp://ftp.gnu.org/gnu/binutils/binutils-${VERSION}.tar.bz2
+fi
+
+# Cleanup Directory
+#
+rm -rf binutils-${VERSION} binutils-${VERSION}.orig
+tar xvf binutils-${VERSION}.tar.bz2
+mv binutils-${VERSION} binutils-${VERSION}.orig
+CURRENTDIR=$(pwd -P)
+
+# Get Current Updates from CVS
+#
+cd /usr/src
+FIXEDVERSION=$(echo ${VERSION} | sed -e 's/\./_/g')
+cvs -z 9 -d :pserver:anoncvs@sourceware.org:/cvs/src export -rbinutils-${FIXEDVERSION}-branch binutils
+mv src binutils-${VERSION}
+
+# Cleanup
+#
+DIRS="binutils-${VERSION} binutils-${VERSION}.orig"
+for DIRECTORY in ${DIRS}; do
+cd /usr/src/${DIRECTORY}
+	FILE_LIST=".cvsignore *.gmo"
+	for files in ${FILE_LIST}; do
+		REMOVE=$(find * -name ${files})
+		for file in $REMOVE; do
+			rm -f ${file}
+		done
+	done
+
+	REMOVE=".cvsignore MAINTAINERS COPYING.LIBGLOSS COPYING.NEWLIB README-maintainer-mode depcomp
+		ChangeLog compile ltgcc.m4 lt~obsolete.m4 etc/ChangeLog etc/add-log.el etc/add-log.vi"
+	for file in $REMOVE; do
+		rm -f ${file}
+	done
+	cd ..
+done
+
+rm -f /usr/src/binutils-${VERSION}.orig/md5.sum
+
+# Make Binutils a Release
+#
+cd /usr/src/binutils-${VERSION}
+sed -i 's/# RELEASE=y/RELEASE=y/g' bfd/Makefile.am
+sed -i 's/# RELEASE=y/RELEASE=y/g' bfd/Makefile.in
+
+# Create Patch
+#
+cd /usr/src
+echo "Submitted By: Jim Gifford (jim at linuxfromscratch dot org)" > binutils-${VERSION}-branch_update-x.patch
+echo "Date: `date +%m-%d-%Y`" >> binutils-${VERSION}-branch_update-x.patch
+echo "Initial Package Version: ${VERSION}" >> binutils-${VERSION}-branch_update-x.patch
+echo "Origin: Upstream" >> binutils-${VERSION}-branch_update-x.patch
+echo "Upstream Status: Applied" >> binutils-${VERSION}-branch_update-x.patch
+echo "Description: This is a branch update for binutils-${VERSION}, and should be" >> binutils-${VERSION}-branch_update-x.patch
+echo "             rechecked periodically." >> binutils-${VERSION}-branch_update-x.patch
+echo "" >> binutils-${VERSION}-branch_update-x.patch
+diff -Naur binutils-${VERSION}.orig binutils-${VERSION} >> binutils-${VERSION}-branch_update-x.patch
+echo "Created /usr/src/binutils-${VERSION}-branch_update-x.patch."
+
Index: scripts/patch/gcc-patch.sh
===================================================================
--- scripts/patch/gcc-patch.sh	(revision 06dcdf6d5e022b3c631d8490685e2c3be926fc1d)
+++ scripts/patch/gcc-patch.sh	(revision 06dcdf6d5e022b3c631d8490685e2c3be926fc1d)
@@ -0,0 +1,69 @@
+#!/bin/bash
+# Create a GCC Patch
+
+# Get Version #
+#
+VERSION=$1
+
+# Check Input
+#
+if [ "${VERSION}" = "" ]; then
+	echo "$0 - GCC_Version"
+	echo "This will Create a Patch for GCC GCC_Version"
+fi
+
+# Download GCC Source
+#
+cd /usr/src
+if ! [ -e gcc-${VERSION}.tar.bz2  ]; then
+	wget ftp://ftp.gnu.org/gnu/gcc/gcc-${VERSION}/gcc-${VERSION}.tar.bz2
+fi
+
+# Cleanup Directory
+#
+rm -rf gcc-${VERSION} gcc-${VERSION}.orig
+tar xvf gcc-${VERSION}.tar.bz2
+mv gcc-${VERSION} gcc-${VERSION}.orig
+CURRENTDIR=$(pwd -P)
+
+# Get Current Updates from SVN
+#
+cd /usr/src
+NUM1=$(echo ${VERSION} | cut -f1 -d.)
+NUM2=$(echo ${VERSION} | cut -f2 -d.)
+FIXEDVERSION=$(echo -n "$NUM1" ; echo -n "_" ; echo -e "$NUM2")
+svn export svn://gcc.gnu.org/svn/gcc/branches/gcc-${FIXEDVERSION}-branch gcc-${VERSION}
+
+# Cleanup
+DIRS="gcc-${VERSION} gcc-${VERSION}.orig"
+for DIRECTORY in ${DIRS}; do
+	cd ${DIRECTORY}
+	REMOVE="ABOUT-NLS COPYING COPYING.LIB ChangeLog ChangeLog.tree-ssa MAINTAINERS Makefile.def
+		Makefile.in Makefile.tpl README README.SCO boehm-gc/ChangeLog BUGS FAQ LAST_UPDATED
+		MD5SUMS NEWS bugs.html faq.html gcc/BASE-VER gcc/DATESTAMP gcc/DEV-PHASE gcc/c-parse.c
+		gcc/gengtype-lex.c gcc/c-parse.y gcc/gengtype-yacc.c gcc/gengtype-yacc.h gcc/f/BUGS gcc/f/NEWS
+		gcc/java/parse-scan.c gcc/java/parse.c gcc/objc/objc-parse.c gcc/objc/objc-parse.y"
+	for file in ${REMOVE}; do
+		rm -f $file
+	done
+	rm -rf INSTALL
+	rm -f fastjar/*.{1,info} gcc/doc/*.{1,info,7} gcc/fortran/*.{1,info,7}
+	rm -f gcc/po/*.{gmo,po}  libcpp/po/*.{gmo,po} libgomp/*.{1,info,7}
+	cd .. 
+done
+
+# Create Patch
+#
+cd /usr/src
+echo "Submitted By: Jim Gifford (jim at linuxfromscratch dot org)" > gcc-${VERSION}-branch_update-x.patch
+echo "Date: `date +%m-%d-%Y`" >> gcc-${VERSION}-branch_update-x.patch
+echo "Initial Package Version: ${VERSION}" >> gcc-${VERSION}-branch_update-x.patch
+echo "Origin: Upstream" >> gcc-${VERSION}-branch_update-x.patch
+echo "Upstream Status: Applied" >> gcc-${VERSION}-branch_update-x.patch
+echo "Description: This is a branch update for gcc-${VERSION}, and should be" >> gcc-${VERSION}-branch_update-x.patch
+echo "             rechecked periodically." >> gcc-${VERSION}-branch_update-x.patch
+echo "" >> gcc-${VERSION}-branch_update-x.patch
+diff -Naur gcc-${VERSION}.orig gcc-${VERSION} >> gcc-${VERSION}-branch_update-x.patch
+echo "Created /usr/src/gcc-${VERSION}-branch_update-x.patch."
+
+
Index: scripts/patch/ncurses-patch.sh
===================================================================
--- scripts/patch/ncurses-patch.sh	(revision 06dcdf6d5e022b3c631d8490685e2c3be926fc1d)
+++ scripts/patch/ncurses-patch.sh	(revision 06dcdf6d5e022b3c631d8490685e2c3be926fc1d)
@@ -0,0 +1,99 @@
+#!/bin/bash
+# Create a Ncuruses Patch
+
+# Get Version #
+#
+VERSION=$1
+
+# Check Input
+#
+if [ "${VERSION}" = "" ]; then
+        echo "$0 - Ncurses_Version"
+        echo "This will Create a Patch for Ncurses Ncurses_Version"
+fi
+
+# Get Patch Names
+#
+cd /usr/src
+wget ftp://invisible-island.net/ncurses/${VERSION}/ --no-remove-listing
+ROLLUP=$(cat index.html | grep bz2 | cut -f2 -d'>' | cut -f1 -d'<' | tail -n 1)
+ROLLPATCH=$(echo ${ROLLUP} | cut -f3 -d-)
+FILES=$(cat index.html | grep ${VERSION}-2 | grep patch.gz | cut -f2 -d'>' | cut -f1 -d'<')
+rm -f .listing
+rm -f index.html
+
+# Download Ncurses Source
+#
+if ! [ -e ncurses-${VERSION}.tar.gz ]; then
+	wget ftp://invisible-island.net/ncurses/ncurses-${VERSION}.tar.gz
+fi
+
+# Cleanup Directory
+#
+rm -rf ncurses-${VERSION} ncurses-${VERSION}.orig
+tar xvf ncurses-${VERSION}.tar.gz
+cp -ar ncurses-${VERSION} ncurses-${VERSION}.orig
+cd ncurses-${VERSION}
+
+# Download and Apply Rollup Patch
+#
+CURRENTDIR=$(pwd -P)
+mkdir /tmp/ncurses-${VERSION}
+cd /tmp/ncurses-${VERSION}
+if [ "${ROLLUP}" != "" ]; then
+	echo "Getting Rollup ${ROLLUP} Patch..."
+	wget --quiet ftp://invisible-island.net/ncurses/${VERSION}/${ROLLUP}
+	cd ${CURRENTDIR}
+	echo "Applying Rollup ${ROLLUP} Patch..."
+	cp /tmp/ncurses-${VERSION}/${ROLLUP} ${CURRENTDIR}/${ROLLUP}
+	bunzip2 ${ROLLUP}
+	ROLLUP2=$(echo ${ROLLUP} | sed -e 's/.bz2//g')
+	sh ${ROLLUP2}
+fi
+
+# Download and Apply Patches
+#
+for file in ${FILES}; do
+	if [ "${ROLLPATCH}" != "" ]; then
+		TEST=$(echo ${file} | grep -c ${ROLLPATCH})
+	else
+		TEST=0
+	fi
+	if [ "${TEST}" = "0" ]; then
+		cd /tmp/ncurses-${VERSION}
+		echo "Getting Patch ${file}..."
+		wget --quiet ftp://invisible-island.net/ncurses/${VERSION}/${file}
+		cd ${CURRENTDIR}
+		gunzip -c /tmp/ncurses-${VERSION}/${file} | patch --dry-run -s -f -Np1
+		if [ "$?" = "0" ]; then
+			echo "Apply Patch ${file}..."
+			gunzip -c /tmp/ncurses-${VERSION}/${file} | patch -Np1
+			LASTFILE=$(echo ${file} | cut -f2 -d. | cut -f2 -d-)
+		fi
+	fi
+done
+
+# Cleanup Directory
+#
+cd /usr/src
+cd ncurses-${VERSION}
+for file in $(find * -name *~); do
+	rm -f ${file}
+done
+for file in $(find * -name *.orig); do
+	rm -f ${file}
+done
+
+# Create Patch
+#
+cd /usr/src
+echo "Submitted By: Jim Gifford (jim at linuxfromscratch dot org)" > ncurses-${VERSION}-branch_update-x.patch
+echo "Date: `date +%m-%d-%Y`" >> ncurses-${VERSION}-branch_update-x.patch
+echo "Initial Package Version: ${VERSION}" >> ncurses-${VERSION}-branch_update-x.patch
+echo "Origin: Upstream" >> ncurses-${VERSION}-branch_update-x.patch
+echo "Upstream Status: Applied" >> ncurses-${VERSION}-branch_update-x.patch
+echo "Description: This is a branch update for NCurses-${VERSION}, and should be" >> ncurses-${VERSION}-branch_update-x.patch
+echo "             rechecked periodically. This patch covers up to ${VERSION}-${LASTFILE}." >> ncurses-${VERSION}-branch_update-x.patch
+echo "" >> ncurses-${VERSION}-branch_update-x.patch
+diff -Naur ncurses-${VERSION}.orig ncurses-${VERSION} >> ncurses-${VERSION}-branch_update-x.patch
+echo "Created /usr/src/ncurses-${VERSION}-branch_update-x.patch."
Index: scripts/patch/readline-patch.sh
===================================================================
--- scripts/patch/readline-patch.sh	(revision 06dcdf6d5e022b3c631d8490685e2c3be926fc1d)
+++ scripts/patch/readline-patch.sh	(revision 06dcdf6d5e022b3c631d8490685e2c3be926fc1d)
@@ -0,0 +1,107 @@
+#!/bin/bash
+# Create a Readline Patch
+
+# Get Version #
+#
+VERSION=$1
+
+# Check Input
+#
+if [ "${VERSION}" = "" ]; then
+	echo "$0 - Readline_Version"
+	echo "This will Create a Patch for Readline Readline_Version"
+fi
+
+# Get the # of Patches
+#
+cd /usr/src
+wget ftp://ftp.cwru.edu/pub/bash/readline-${VERSION}-patches/ --no-remove-listing
+VERSION2=$(echo ${VERSION} | sed -e 's/\.//g')
+FILES=$(cat index.html | grep "${VERSION2}" | cut -f2 -d'"' | cut -f4 -d. | cut -f3 -d- | tail -n 1)
+rm -f .listing
+rm -f index.html
+SKIPPATCH=""
+SKIPPED=""
+
+# Download BASH Source
+#
+if ! [ -e readline-${VERSION}.tar.gz ]; then
+	wget ftp://ftp.cwru.edu/pub/bash/readline-${VERSION}.tar.gz
+fi
+
+# Cleanup Directory
+#
+rm -rf readline-${VERSION} readline-${VERSION}.orig
+tar xvf readline-${VERSION}.tar.gz
+cp -ar readline-${VERSION} readline-${VERSION}.orig
+cd readline-${VERSION}
+CURRENTDIR=$(pwd -P)
+
+# Download and Apply Patches
+#
+PATCHURL=ftp://ftp.cwru.edu/pub/bash/readline-${VERSION}-patches
+mkdir /tmp/readline-${VERSION}
+COUNT=1
+while [ ${COUNT} -le ${FILES} ]; do
+	cd /tmp/readline-${VERSION}           
+	DLCOUNT="${COUNT}"
+	SKIPME=no
+	if [ "${COUNT}" -lt "100" ]; then
+		DLCOUNT="0${COUNT}"
+	fi
+	if [ "${COUNT}" -lt "10" ]; then
+		DLCOUNT="00${COUNT}"
+	fi
+	for skip in ${SKIPPATCH} ; do
+		if [ "${DLCOUNT}" = "$skip" ]; then
+			echo "Patch readline${VERSION2}-${DLCOUNT} skipped"
+			SKIPPED="${SKIPPED} ${DLCOUNT}"
+			SKIPME=yes
+		fi
+	done
+	if [ "${SKIPME}" != "yes" ]; then
+		if ! [ -e ${VERSION}.${DLCOUNT} ]; then
+			wget --quiet ${PATCHURL}/readline${VERSION2}-${DLCOUNT}
+		fi
+		cd ${CURRENTDIR}
+		patch --dry-run -s -f -Np0 -i /tmp/readline-${VERSION}/readline${VERSION2}-${DLCOUNT}
+		if [ "$?" = "0" ]; then
+			echo "Patch readline${VERSION2}-${DLCOUNT} applied"
+			patch -s -Np0 -i /tmp/readline-${VERSION}/readline${VERSION2}-${DLCOUNT}
+		else
+			echo "Patch readline${VERSION2}-${DLCOUNT} not applied"
+			rm -f /tmp/readline-${VERSION}/readline${VERSION2}-${DLCOUNT}
+			SKIPPED="${SKIPPED} ${DLCOUNT}"
+		fi
+	fi
+	COUNT=`expr ${COUNT} + 1`
+done
+
+# Cleanup Directory
+#
+cd /usr/src
+cd readline-${VERSION}
+for file in $(find * -name *~); do
+	rm -f ${file}
+done
+for file in $(find * -name *.orig); do
+	rm -f ${file}
+done
+
+# Create Patch
+#
+cd /usr/src
+echo "Submitted By: Jim Gifford (jim at linuxfromscratch dot org)" > readline-${VERSION}-fixes-x.patch
+echo "Date: `date +%m-%d-%Y`" >> readline-${VERSION}-fixes-x.patch
+echo "Initial Package Version: ${VERSION}" >> readline-${VERSION}-fixes-x.patch
+echo "Origin: Upstream" >> readline-${VERSION}-fixes-x.patch
+echo "Upstream Status: Applied" >> readline-${VERSION}-fixes-x.patch
+echo "Description: Contains all upstream patches up to ${VERSION}-${FILES}" >> readline-${VERSION}-fixes-x.patch
+if [ -n "${SKIPPED}" ]; then
+	echo "            Thee following patches were skipped" >> readline-${VERSION}-fixes-x.patch
+	echo "            ${SKIPPED}" >> readline-${VERSION}-fixes-x.patch
+fi
+echo "" >> readline-${VERSION}-fixes-x.patch
+diff -Naur readline-${VERSION}.orig readline-${VERSION} >> readline-${VERSION}-fixes-x.patch
+echo "Created /usr/src/readline-${VERSION}-fixes-x.patch."
+
Index: scripts/patch/vim-patch.sh
===================================================================
--- scripts/patch/vim-patch.sh	(revision 06dcdf6d5e022b3c631d8490685e2c3be926fc1d)
+++ scripts/patch/vim-patch.sh	(revision 06dcdf6d5e022b3c631d8490685e2c3be926fc1d)
@@ -0,0 +1,107 @@
+#!/bin/bash
+# Create a VIM Patch
+
+# Get Version #
+#
+VERSION=$1
+
+# Check Input
+#
+if [ "${VERSION}" = "" ]; then
+	echo "$0 - Vim_Version"
+	echo "This will Create a Patch for Vim Vim_Version"
+fi
+
+# Get the # of Patches
+#
+cd /usr/src
+wget ftp://ftp.vim.org/pub/vim/patches/${VERSION}/ --no-remove-listing
+FILES=$(cat index.html | grep "${VERSION}" | cut -f6 -d. | cut -f1 -d'"' | sed '/^$/d' | tail -n 1)
+rm -f .listing
+rm -f index.html
+SERIES=$(echo ${VERSION} | sed -e 's/\.//g')
+SKIPPATCH=""
+SKIPPED=""
+
+# Download VIM Source
+#
+if ! [ -e vim-${VERSION}.tar.bz2 ]; then
+	wget ftp://ftp.vim.org/pub/vim/unix/vim-${VERSION}.tar.bz2
+fi
+
+# Cleanup Directory
+#
+rm -rf vim${SERIES} vim${SERIES}.orig
+tar xvf vim-${VERSION}.tar.bz2
+cp -ar vim${SERIES} vim${SERIES}.orig
+cd vim${SERIES}
+CURRENTDIR=$(pwd -P)
+
+# Download and Apply Patches
+#
+PATCHURL=ftp://ftp.vim.org/pub/vim/patches/${VERSION}
+mkdir /tmp/vim-${VERSION}
+COUNT=1
+while [ ${COUNT} -le ${FILES} ]; do
+	cd /tmp/vim-${VERSION}            
+	DLCOUNT="${COUNT}"
+	SKIPME=no
+	if [ "${COUNT}" -lt "100" ]; then
+		DLCOUNT="0${COUNT}"
+	fi
+	if [ "${COUNT}" -lt "10" ]; then
+	DLCOUNT="00${COUNT}"
+	fi
+	for skip in ${SKIPPATCH} ; do
+		if [ "${DLCOUNT}" = "${skip}" ]; then
+			echo "Patch ${VERSION}.${DLCOUNT} skipped"
+			SKIPPED="${SKIPPED} ${DLCOUNT}"
+			SKIPME=yes
+		fi
+	done
+	if [ "${SKIPME}" != "yes" ]; then
+	if ! [ -e ${VERSION}.${DLCOUNT} ]; then
+		wget --quiet $PATCHURL/${VERSION}.${DLCOUNT}
+	fi
+		cd $CURRENTDIR
+		patch --dry-run -s -f -Np0 -i /tmp/vim-${VERSION}/${VERSION}.${DLCOUNT}
+		if [ "$?" = "0" ]; then
+		echo "Patch ${VERSION}.${DLCOUNT} applied"
+			patch -s -Np0 -i /tmp/vim-${VERSION}/${VERSION}.${DLCOUNT}
+		else
+			echo "Patch ${VERSION}.${DLCOUNT} not applied"
+			rm -f /tmp/vim-${VERSION}/${VERSION}.${DLCOUNT}
+			SKIPPED="${SKIPPED} ${DLCOUNT}"
+		fi
+	fi
+	COUNT=`expr ${COUNT} + 1`
+done
+
+# Cleanup Directory
+#
+cd /usr/src
+cd vim${SERIES}
+for file in $(find * -name *~); do
+	rm -f $file
+done
+for file in $(find * -name *.orig); do
+	rm -f $file
+done
+
+# Create Patch
+#
+cd /usr/src
+echo "Submitted By: Jim Gifford (jim at linuxfromscratch dot org)" > vim-${VERSION}-branch_update-x.patch
+echo "Date: `date +%m-%d-%Y`" >> vim-${VERSION}-branch_update-x.patch
+echo "Initial Package Version: ${VERSION}" >> vim-${VERSION}-branch_update-x.patch
+echo "Origin: Upstream" >> vim-${VERSION}-branch_update-x.patch
+echo "Upstream Status: Applied" >> vim-${VERSION}-branch_update-x.patch
+echo "Description: Contains all upstream patches up to ${VERSION}.${FILES}" >> vim-${VERSION}-branch_update-x.patch
+if [ -n "${SKIPPED}" ]; then
+	echo "             The following patches were skipped" >> vim-${VERSION}-branch_update-x.patch
+	echo "            ${SKIPPED}" >> vim-${VERSION}-branch_update-x.patch
+fi
+echo "" >> vim-${VERSION}-branch_update-x.patch
+diff -Naur vim${SERIES}.orig vim${SERIES} >> vim-${VERSION}-branch_update-x.patch
+echo "Created /usr/src/vim-${VERSION}-branch_update-x.patch."
+
